//
//  Maps App.js
//  Kite
//
//  Created on 3/13/17.
//

// ------------------------------------------
// Called just before the presentation starts
// ------------------------------------------

layer.canvasReady = function(event) {
    
    var thisLayer = this;
    var timingFunction = TimingFunction(0.42, 0, 0.4628, 1.1862);
    var animation = new BasicAnimation();    
    
    animation.timingFunction = timingFunction;
    animation.duration = 0.4;
    
    this.actions = { "position": animation,
                     "transform.scale" : animation,
                     "anchorPoint" : null };
                     
    animation.onCompletion = function(finished) {

        // thisLayer.anchorPoint = { x: 0, y: 0 };
        // thisLayer.allowsImplicitAnimations = false;
        // thisLayer.position = { x: 495, y: 152 };
    };
};


// ------------------------------------------
// Handle Events
// ------------------------------------------

layer.launch = function() {
    
    this.scale = 1;
    this.position = { x: 107, y: 54 };
    this.z = 30;
}
