//
//  Screen.js
//  Kite
//
//  Created on 3/12/17.
//

// ------------------------------------------
// Called just before the presentation starts
// ------------------------------------------



layer.canvasReady = function(event) {
    
    var messages = canvas.getLayerByName("Messages App");
    var weather = canvas.getLayerByName("Weather App");
    var stocks = canvas.getLayerByName("Stocks App");
    var maps = canvas.getLayerByName("Maps App");
    var xcode = canvas.getLayerByName("Xcode App");
    
    var apps = [messages, weather, stocks, maps, xcode];

    var appMouseDown = function(event) {
        
        var maxZ = -1;
        
        for (var app of apps) {
            
            if (app.z > maxZ) {
                maxZ = app.z;
            }
        }
        
        this.z = maxZ + 1;
    };
    
    for (var app of apps) {
        app.mouseDown = appMouseDown;
    }
};


// ------------------------------------------
// Handle Events
// ------------------------------------------

// layer.mouseUp = function(event) { };

// layer.mouseMoved = function(event) { };

// layer.mouseEntered = function(event) { };

// layer.mouseExited = function(event) { };

// layer.mouseDragged = function(event) { };

// layer.scrollWheel = function(event) { };

// layer.keyDown = function(event) { };

// layer.keyUp = function(event) { };

// layer.magnifyGesture = function(event) { };

// layer.rotateGesture = function(event) { };
